export default QueuesAPI;
declare namespace QueuesAPI {
    export { getQueuesList as getList };
    export { getQueue as get };
    export { addQueue as add };
    export { patchQueue as patch };
    export { updateQueue as update };
    export { deleteQueue as delete };
    export { getQueuesLookup as getLookup };
    export { getQueuesTags };
}
declare function getQueuesList(params: any): Promise<{
    items: any;
    next: any;
}>;
declare function getQueue({ itemId: id }: {
    itemId: any;
}): Promise<any>;
declare function addQueue({ itemInstance }: {
    itemInstance: any;
}): Promise<any>;
declare function patchQueue({ id, changes }: {
    id: any;
    changes: any;
}): Promise<any>;
declare function updateQueue({ itemInstance, itemId: id }: {
    itemInstance: any;
    itemId: any;
}): Promise<any>;
declare function deleteQueue({ id }: {
    id: any;
}): Promise<any>;
declare function getQueuesLookup(params: any): Promise<{
    items: any;
    next: any;
}>;
declare function getQueuesTags(params: any): Promise<{
    items: any;
    next: any;
}>;
